# for test text params and pos: run [python testcd.py] in console
import os, sys, json

ldir = os.path.dirname(__file__).split(os.sep)
if len(ldir) > 4 and ldir[1] == 'opt':
	ldir[2],ldir[4] = 'COMMON','DK'
else:
	ldir[-1] = 'common'
sys.path.append(os.sep.join(ldir))

import myutil
from cdwtask import CDWTask

if __name__ == '__main__':
	print('test-cdwtask')
	curPath = os.path.abspath(__file__)
	iSlash = curPath.rfind(os.sep)
	myutil.appPath = curPath[0 : iSlash]
	cfg = json.load(open('/var/lib/secuprint/secu-dk.json'))
	myutil.initLogger(cfg['LogPath'], 'secudk', cfg['LogLevel'])
	cfg['TaskPath'] = cfg['TmpPath']
	testcdw = CDWTask('devName', 'devAddress', 2, None, cfg)
	cdtask = {'taskid':123, 'splfilename':'/opt/job/210102/abc345.dat|1|1', \
		'documentname':'测试文档名【公开】abc123', 'secretlevelname':'公开', 'groupname':'测试部', 'userfullname':'张三','username':'zhangsan'}
	testcdw.genDiscImage(cdtask, 0, 'K20210918000001')
